# Object Class Reference

Inherited by ObjectImpl `[virtual]`, XMLDOMNode `[virtual]`, XMLDOMNodeList `[virtual]`, AppenderAttachable `[virtual]`, Configurator `[virtual]`, HierarchyEventListener `[virtual]`, LoggerFactory `[virtual]`, LoggerRepository `[virtual]`, OptionHandler `[virtual]`, RepositorySelector `[virtual]`, and TriggeringEventEvaluator `[virtual]`.

List of all members.

## Detailed Description

base class for java-like objects.

## Public Member Functions

virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Classes

class | ClazzObject

## Constructor & Destructor Documentation

virtual ~Object | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void addRef | ( |  | ) | const`[pure virtual]`

| Implemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, ObjectImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

virtual const void* cast | ( | const Class & | clazz | ) | const`[pure virtual]`

virtual const helpers::Class& getClass | ( |  | ) | const`[virtual]`

static const helpers::Class& getStaticClass | ( |  | ) | `[static]`

virtual bool instanceof | ( | const Class & | clazz | ) | const`[pure virtual]`

static const log4cxx::helpers::ClassRegistration& registerClass | ( |  | ) | `[static]`

virtual void releaseRef | ( |  | ) | const`[pure virtual]`

| Implemented in AppenderSkeleton, AsyncAppender, AppenderAttachableImpl, ObjectImpl, OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

The documentation for this class was generated from the following file:

- object.h